<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1RTShader.html">RTShader</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">TargetRenderState</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::RTShader::TargetRenderState Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#a7a33d4ee212f7e8fb483cb33e36cf0fb">addSubRenderStateInstance</a>(SubRenderState *subRenderState)</td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html#af66edaf33c654e03ef89f1eaec384a1f">addTemplateSubRenderState</a>(SubRenderState *subRenderState)</td><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">Ogre::RTShader::RenderState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#a43689030b303d846f56d1325dbeb4e29">createCpuPrograms</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#a7b1fa1bf7f80b797042f3dc26043f733">createProgramSet</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#ac70b2331c9f7c36f98ef73e7892d8a25">destroyProgramSet</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#a0ebb9db4c085496981b7dbdd61f34fc9">FFPRenderStateBuilder</a> class</td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html#a1b891435cd80949d502ad448f8a203cf">getLightCount</a>(int lightCount[3]) const </td><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">Ogre::RTShader::RenderState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html#a79777c200ca66ffe77b03f3462cbddbb">getLightCountAutoUpdate</a>() const </td><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">Ogre::RTShader::RenderState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#a78bca39bab68931c862f04b3c6384d4b">getProgramSet</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html#a3156a7f08feecf6c0df8c2ec28d7e28a">getTemplateSubRenderStateList</a>() const </td><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">Ogre::RTShader::RenderState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#a48a0f2bf833e3dd562b68e16bdbcfef8">link</a>(const RenderState &amp;other, Pass *srcPass, Pass *dstPass)</td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html#a969c088c5e51a22c211c535375d139a8">mLightCount</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">Ogre::RTShader::RenderState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html#aa36a91213f0c16fc4b68893911ad4f1e">mLightCountAutoUpdate</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">Ogre::RTShader::RenderState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#a5ae4ed95d719aa2c2a15a2133c1e0f11">mProgramSet</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html#a60de670ecb16e42e97f9bf8265270ea7">mSubRenderStateList</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">Ogre::RTShader::RenderState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#a020129dfa474d4e35d37c0439f556663">mSubRenderStateSortValid</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#ae46e120edae3a1f22dc68ebde7fbcfca">ProgramManager</a> class</td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#a5d7eb06c5a7db62569b4c8757282b9c8">removeSubRenderStateInstance</a>(SubRenderState *subRenderState)</td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html#adf57c1505668d7cd9fc65c33231ee3ff">removeTemplateSubRenderState</a>(SubRenderState *subRenderState)</td><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">Ogre::RTShader::RenderState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html#a9ad5c29c93f7e3852b2bf34ed7d71850">RenderState</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">Ogre::RTShader::RenderState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html#a0ca983d7872dd4af086d73f1685188f1">reset</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">Ogre::RTShader::RenderState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html#a7d4bfe3ddbb10a94ae9e84d24fdcb5d8">setLightCount</a>(const int lightCount[3])</td><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">Ogre::RTShader::RenderState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html#acd05f1eaf224a41f89b4c94823b96877">setLightCountAutoUpdate</a>(bool autoUpdate)</td><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">Ogre::RTShader::RenderState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#af0cc11490a2a8d38b00befd3f68209bd">sortSubRenderStates</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#a9217c8ca6e166e12ae2d2478cf1d6e34">sSubRenderStateCompare</a>(const void *p0, const void *p1)</td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#af77db1b842b76ad71dd6a8fc1d2cfbfc">TargetRenderState</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#ad201f02cccf5fe0db97ae3c103aba73b">updateGpuProgramsParams</a>(Renderable *rend, Pass *pass, const AutoParamDataSource *source, const LightList *pLightList)</td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html#adbe4e95bc100df25fe3f860869ee53a1">~RenderState</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1RenderState.html">Ogre::RTShader::RenderState</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html#a72b162894e32d917fdde813f40f381e8">~TargetRenderState</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1TargetRenderState.html">Ogre::RTShader::TargetRenderState</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:33
</p>
</body>
</html>
